2024-07-20 02:45 (토)
2개의 심각한 리눅스 취약점이 우분트 사용자 40% 위협
상태바
2개의 심각한 리눅스 취약점이 우분트 사용자 40% 위협
  • 페소아 기자
  • 승인 2023.07.31 11:31
이 기사를 공유합니다

사이버 보안 연구원들이 로컬 권한 상승 공격을 할 수 있는 우분투(Ubuntu) 커널의 심각도가 높은 두 가지 보안 결함을 최근 공개했다고 더해커뉴스가 보도했다. 

클라우드 보안 회사인 Wiz는 이 보안 결함이 우분투 사용자의 40%에 영향을 미칠 가능성이 있다고 말했다.

해외 보안 연구원은 "영향을 받는 우분투 버전은 여러 클라우드 서비스 제공업체의 기본 운영 체제 역할을 하기 때문에 클라우드에서 널리 퍼져 있다."라고 말했다.

CVE-2023-2640 및 CVE-2023-32629(CVSS 점수: 7.8)로 알려졌고 ‘GameOver(lay)’라고 불리는 취약점은 OverlayFS라는 모듈에 존재하며 특정 시나리오에서 부적절한 권한 검사의 결과로 로컬 공격자가 상승된 권한을 얻을 수 있다.

오버레이 파일 시스템은 여러 디렉토리 트리 또는 파일 시스템을 하나의 통합 파일 시스템으로 결합할 수 있게 해주는 통합 마운트 파일 시스템을 말한다.

두 가지 결함에 대한 간략한 설명은 다음과 같다.

CVE-2023-2640: c914c0e27eb0 및 "UBUNTU: SOSE: Overlayfs.* xattrs"를 모두 포함하는 우분투 커널에서 권한이 없는 사용자는 마운트된 파일에 권한 있는 확장 특성을 설정하여 적절한 보안 검사 없이 상위 파일에 설정할 수 있음.

CVE-2023-32629: 우분투 커널에서 ovl_do_setxattr을 호출할 때 Ubuntu 커널 오버레이 fsovl_copy_up_meta_inode_데이터 스킵 권한 검사의 로컬 권한 상승 취약성.

간단히 말해서, GameOver(lay)는 "범위가 지정된 파일 기능으로 실행 파일을 만들고 우분투 커널을 속여서 범위가 지정되지 않은 기능으로 다른 위치에 복사하여 실행하는 모든 사람에게 루트와 같은 권한을 부여"할 수 있게 하는 것이다.

책임 있는 공개에 따라 우분투는 지난 2023년 7월 24일부터 이 취약성을 수정했다.

위즈 CTO이자 공동 설립자는, “이 연구 결과는 우분투가 도입한 리눅스 커널의 미묘한 변화가 예측하지 못한 영향을 미칠 수 있다는 사실을 강조한다”고 말했다.

또 연구원들은 "두 가지 취약점 모두 우분투의 OverlayFS 모듈에 대한 개별 변경 사항에서 비롯되었기 때문에 우분투 커널 고유의 것"이라며 “CVE-2016-1576, CVE-2021-3493, CVE-2021-3847, CVE-2023-0386과 같은 다른 취약점과 비교할 수 있다”고 덧붙였다.

★정보보안 대표 미디어 데일리시큐 / Dailysecu, Korea's leading security media!★

■ 보안 사건사고 제보 하기

▷ 이메일 : mkgil@dailysecu.com

▷ 제보 내용 : 보안 관련 어떤 내용이든 제보를 기다립니다!

▷ 광고문의 : jywoo@dailysecu.com

★정보보안 대표 미디어 데일리시큐 / Dailysecu, Korea's leading security media!★